
import MainMenu from './components/MainMenu';
import { SidebarHeader } from './components/SidebarHeader';
import { ColorModeContext, useMode } from './theme'
import { CssBaseline, Grid, ThemeProvider, Paper, Box, Button } from '@mui/material'
import {Sidebar} from 'react-pro-sidebar';


function App() {
	const [theme, colorMode] = useMode()
	return (
		<ColorModeContext.Provider value={colorMode}>
			<ThemeProvider theme={theme}>
				<CssBaseline />
				<Box sx={{ display: 'flex', height: '100%', backgroundColor: 'blue'}}>
					<Sidebar>
						<SidebarHeader></SidebarHeader>
						<MainMenu></MainMenu>
					</Sidebar>
					<Box sx={{ display: 'flex', flexDirection: 'column', height: '100%', width:'100%', backgroundColor: 'InactiveCaption',}}>
						
					</Box>
				</Box>
			</ThemeProvider>
	</ColorModeContext.Provider>
  )
}

export default App
