import { Avatar, Box, IconButton, useTheme} from "@mui/material";
import { useContext } from "react";
import { ColorModeContext} from "../theme";
import LightModeOutlinedIcon from "@mui/icons-material/LightModeOutlined";
import DarkModeOutlinedIcon from "@mui/icons-material/DarkModeOutlined";
import NotificationsOutlinedIcon from "@mui/icons-material/NotificationsOutlined";
import SettingsOutlinedIcon from "@mui/icons-material/SettingsOutlined";


const Topbar = () => {

  const theme = useTheme();
  const colorMode = useContext(ColorModeContext);

  return (
    <Box width={"100%"} display="flex" justifyContent="end" p={2}>
      <Box display="flex">
        <IconButton onClick={colorMode.toggleColorMode}>
          {theme.palette.mode === "dark" ? (
            <DarkModeOutlinedIcon />
          ) : (
            <LightModeOutlinedIcon /> )}
        </IconButton>
        <IconButton>
          <NotificationsOutlinedIcon />
        </IconButton>
        <IconButton>
          <SettingsOutlinedIcon />
        </IconButton>
        <IconButton>
			<Avatar sizes="small"></Avatar>
        </IconButton>
      </Box>
    </Box>
  );
};

export default Topbar;
