
import { Box, Button} from '@mui/material';
import { observer } from 'mobx-react-lite';
import PostsStore from '../stores/post-store';
import { Posts } from '../api/getPosts';


const Post = observer(() => {
	const { clearPostsAction,getPostsAction, posts, isLoading } = PostsStore;

	console.log(posts?.value)
	return (
		<Box>
			{isLoading&& <p>Loading...</p>}
			<Button onClick={getPostsAction}>Загрузить</Button>
			<Button onClick={clearPostsAction}>Очистить</Button>

			{posts?.value?.map((item:Posts) => <p key={item.id}>{item.title}</p>)}
		</Box>
	)
});

export default Post;